nv_std::is_base_of< BaseT, DerivedT > Struct Template Reference

std::is_base_of

`#include <nv_std.h>`

Inheritance diagram for nv_std::is_base_of< BaseT, DerivedT >:

## Additional Inherited Members

Public Types inherited from nv_std::integral_constant< bool,(is_base_of_helper< remove_cv< BaseT >::type, remove_cv< DerivedT >::type >::value)||(is_same< remove_cv< BaseT >::type, remove_cv< DerivedT >::type >::value)>
typedef bool | value_type
typedef integral_constant< bool, V > | type
Public Member Functions inherited from nv_std::integral_constant< bool,(is_base_of_helper< remove_cv< BaseT >::type, remove_cv< DerivedT >::type >::value)||(is_same< remove_cv< BaseT >::type, remove_cv< DerivedT >::type >::value)>
CUTLASS_HOST_DEVICE | operator value_type () const
CUTLASS_HOST_DEVICE const value_type | operator() () const
Static Public Attributes inherited from nv_std::integral_constant< bool,(is_base_of_helper< remove_cv< BaseT >::type, remove_cv< DerivedT >::type >::value)||(is_same< remove_cv< BaseT >::type, remove_cv< DerivedT >::type >::value)>
static const bool | value

The documentation for this struct was generated from the following file:

- nv_std.h